### Method

# WebKit WebContext get_network_session_for_automation

#### Declaration [src]

    WebKitNetworkSession*
    webkit_web_context_get_network_session_for_automation (
      WebKitWebContext* context
    )

#### Description [src]

Get the `WebKitNetworkSession` used for automation sessions started in `context`.

Available since: | 2.40

#### Return value

Returns: | `WebKitNetworkSession`
| A `WebKitNetworkSession`, or `NULL` if automation is not enabled.
| The data is owned by the instance.
| The return value can be `NULL`.